BoxPlot {fBasics} | R Documentation

## Time Series Box Plots

### Description

Returns a box or a box percentile plot.

List of Functions:

`boxPlot` | Returns a side-by-side standard box plot,
`boxPercentilePlot` | Returns a side-by-side box-percentile plot.

### Usage

    boxPlot(x, col = "steelblue", title = TRUE, ...)
    boxPercentilePlot(x, col = "steelblue", title = TRUE, ...)

### Arguments

`col` | the color for the series. In the univariate case use just a color name like the default, `col="steelblue"`, in the multivariate case we recommend to select the colors from a color palette, e.g. `col=heat.colors(ncol(x))`.
`title` | a logical flag, by default TRUE. Should a default title added to the plot?
`x` | an object of class `"timeSeries"` or any other object which can be transformed by the function `as.timeSeries` into an object of class `timeSeries`. The latter case, other then `timeSeries` objects, is more or less untested.
`...` | optional arguments to be passed.

### Value

displays a time series plot.

### Examples

    ## data -
       LPP <- LPP2005REC[, 1:6]
       plot(LPP, type = "l", col = "steelblue", main = "SP500")
       abline(h = 0, col = "grey")

    ## boxPlot -
       boxPlot(LPP)

[Package fBasics version 3042.89 Index]